[ОТВЕТИТЬ]
Опции темы
16.03.2016 16:59  
aldemko
Вроде все правильно
Скрытый текст (вы должны войти под своим логином или зарегистрироваться и иметь 1 сообщение(ий)):
У вас нет прав чтобы видеть скрытый текст, содержащийся здесь.
Миниатюры
Нажмите на изображение для увеличения
Название: prava.JPG
Просмотров: 62
Размер:	18.1 Кб
ID:	7118  
 
16.03.2016 17:01  
twix
А конфиг можно глянуть?
Есть мнение, что не корректно задан root.

На всякий случай, чтобы свериться, простейший конфиг для цайта:

Код:
server {
	listen 80;

	root /var/www/public_html/bezzapaha.ru;
	index index.php index.html index.htm;

	server_name bezzapaha.ru;

	location / {
		try_files $uri $uri/ =404;
	}

	location ~ \.php$ {
		fastcgi_split_path_info ^(.+\.php)(/.+)$;
		# NOTE: You should have "cgi.fix_pathinfo = 0;" in php.ini
		fastcgi_pass unix:/var/run/php5-fpm.sock;
		fastcgi_index index.php;
		include fastcgi_params;
	}
}

Последний раз редактировалось twix; 16.03.2016 в 17:04.
 
16.03.2016 17:04  
aldemko
/etc/nginx/conf.d/domen.conf:


Скрытый текст (вы должны войти под своим логином или зарегистрироваться и иметь 1 сообщение(ий)):
У вас нет прав чтобы видеть скрытый текст, содержащийся здесь.


пробовал и www и вот public_html
все в одну папку все равно ведет
результат тот же


Попробовал

Цитата:
Сообщение от twix
А конфиг можно глянуть?
Есть мнение, что не корректно задан root.

На всякий случай, чтобы свериться, простейший конфиг для цайта:

Код:
server {
	listen 80;

	root /var/www/public_html/bezzapaha.ru;
	index index.php index.html index.htm;

	server_name bezzapaha.ru;

	location / {
		try_files $uri $uri/ =404;
	}

	location ~ \.php$ {
		fastcgi_split_path_info ^(.+\.php)(/.+)$;
		# NOTE: You should have "cgi.fix_pathinfo = 0;" in php.ini
		fastcgi_pass unix:/var/run/php5-fpm.sock;
		fastcgi_index index.php;
		include fastcgi_params;
	}
}
результат тот же
service nginx restart делал

Последний раз редактировалось aldemko; 16.03.2016 в 17:08.
 
16.03.2016 17:05  
twix
root задай для сервера, а не для локейшена.

Должно быть как-то так:

Код:
server { 
    listen       80; 
    server_name bezzapaha.ru; 

    root   /home/aldemko/public_html/bezzapaha.ru;
    index index.php  index.html index.htm; 

    # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000 
    # 
    location ~ \.php$ { 
        fastcgi_pass   127.0.0.1:9000; 
        fastcgi_index  index.php; 
        fastcgi_param  SCRIPT_FILENAME   $document_root$fastcgi_script_name; 
        include        fastcgi_params; 
    } 
}

Последний раз редактировалось twix; 16.03.2016 в 17:08.
 
16.03.2016 17:11  
aldemko
Цитата:
Сообщение от twix
root задай для сервера, а не для локейшена.

Должно быть как-то так:

Код:
server { 
    listen       80; 
    server_name bezzapaha.ru; 

    root   /home/aldemko/public_html/bezzapaha.ru;
    index index.php  index.html index.htm; 

    # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000 
    # 
    location ~ \.php$ { 
        fastcgi_pass   127.0.0.1:9000; 
        fastcgi_index  index.php; 
        fastcgi_param  SCRIPT_FILENAME   $document_root$fastcgi_script_name; 
        include        fastcgi_params; 
    } 
}

502 Gateway


Может у меня проблема с php-fpm (только как проверить не зняю для nginx - service nginx status пишет что ОК
а с этим то рунинг то service php-fpm status
php-fpm: unrecognized service
)
nginx я то удалил с панели и установил заново через ком строку
а вот php-fpm не удалялся

Последний раз редактировалось aldemko; 16.03.2016 в 17:16.
 
16.03.2016 17:14  
twix
Цитата:
Сообщение от aldemko
502 Gateway
Похоже, что php-fpm не слушает порт 9000.
Что говорится в ответ на
Код:
cat /etc/php5/fpm/pool.d/www.conf | grep "listen ="
* Вместо "/etc/php5/fpm/pool.d/www.conf" подставить путь к конфигу твоего php-fpm
 
16.03.2016 17:17  
twix
Цитата:
Сообщение от aldemko
а с этим то рунинг то service php-fpm status
php-fpm: unrecognized service
)
А если php5-fpm?
А если yum install php-fpm?
У тебя же, вроде, крутятся другие сайты на этой же VPS? Они с пыхом работают?
 
16.03.2016 17:22  
aldemko
Крутились....
пока мне моча в голову не ударила сделать так что бы php-fpm был не php 5.3 а php 5.6
после вот весь день сижу
https://olegon.ru/showthread.php?t=24206
https://olegon.ru/showthread.php?t=23973

Код:
 service php5-fpm status
php5-fpm: unrecognized service
Код:
yum install php-fpm
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirrors.coreix.net
 * epel: epel.mirrors.ovh.net
 * extras: mirrors.coreix.net
 * remi-safe: rpms.remirepo.net
 * updates: mirrors.coreix.net
 * webtatic: uk.repo.webtatic.com
Resolving Dependencies
--> Running transaction check
---> Package php-fpm.x86_64 0:5.3.3-46.el6_7.1 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-46.el6_7.1 for package: php-fpm-5.3.3-46.el6_7.1.x86_64
--> Finished Dependency Resolution
Error: Package: php-fpm-5.3.3-46.el6_7.1.x86_64 (updates)
           Requires: php-common(x86-64) = 5.3.3-46.el6_7.1
           Installed: php-common-5.6.19-1.el6.remi.x86_64 (@remi-php56)
               php-common(x86-64) = 5.6.19-1.el6.remi
           Available: php-common-5.3.3-40.el6_6.x86_64 (base)
               php-common(x86-64) = 5.3.3-40.el6_6
           Available: php-common-5.3.3-46.el6_6.x86_64 (updates)
               php-common(x86-64) = 5.3.3-46.el6_6
           Available: php-common-5.3.3-46.el6_7.1.x86_64 (updates)
               php-common(x86-64) = 5.3.3-46.el6_7.1
           Available: php54w-common-5.4.45-2.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.4.45-2.w6
           Available: php55w-common-5.5.32-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.5.32-1.w6
           Available: php56w-common-5.6.18-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.6.18-1.w6
           Available: php70w-common-7.0.3-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 7.0.3-1.w6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
 
16.03.2016 17:24  
twix
Смотрю, подцепил левые репы. У мну тоже где-то реми был подключен. Но я с него не ставился.
Попробуй: "yum --enablerepo=remi install php-fpm"
 
16.03.2016 17:29  
aldemko
Цитата:
Сообщение от twix
Смотрю, подцепил левые репы. У мну тоже где-то реми был подключен. Но я с него не ставился.
Попробуй: "yum --enablerepo=remi install php-fpm"
ответ:
Код:
 yum --enablerepo=remi install php-fpm
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirrors.coreix.net
 * epel: ftp.nluug.nl
 * extras: mirrors.coreix.net
 * remi: rpms.remirepo.net
 * remi-safe: rpms.remirepo.net
 * updates: mirrors.coreix.net
 * webtatic: uk.repo.webtatic.com
remi                                                     | 2.9 kB     00:00
remi/primary_db                                          | 1.4 MB     00:00
Resolving Dependencies
--> Running transaction check
---> Package php-fpm.x86_64 0:5.4.45-5.el6.remi will be installed
--> Processing Dependency: php-common(x86-64) = 5.4.45-5.el6.remi for package: php-fpm-5.4.45-5.el6.remi.x86_64
--> Finished Dependency Resolution
Error: Package: php-fpm-5.4.45-5.el6.remi.x86_64 (remi)
           Requires: php-common(x86-64) = 5.4.45-5.el6.remi
           Installed: php-common-5.6.19-1.el6.remi.x86_64 (@remi-php56)
               php-common(x86-64) = 5.6.19-1.el6.remi
           Available: php-common-5.3.3-40.el6_6.x86_64 (base)
               php-common(x86-64) = 5.3.3-40.el6_6
           Available: php-common-5.3.3-46.el6_6.x86_64 (updates)
               php-common(x86-64) = 5.3.3-46.el6_6
           Available: php-common-5.3.3-46.el6_7.1.x86_64 (updates)
               php-common(x86-64) = 5.3.3-46.el6_7.1
           Available: php-common-5.4.45-4.el6.remi.x86_64 (remi)
               php-common(x86-64) = 5.4.45-4.el6.remi
           Available: php-common-5.4.45-5.el6.remi.x86_64 (remi)
               php-common(x86-64) = 5.4.45-5.el6.remi
           Available: php54w-common-5.4.45-2.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.4.45-2.w6
           Available: php55w-common-5.5.32-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.5.32-1.w6
           Available: php56w-common-5.6.18-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 5.6.18-1.w6
           Available: php70w-common-7.0.3-1.w6.x86_64 (webtatic)
               php-common(x86-64) = 7.0.3-1.w6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
 
 


Опции темы



Часовой пояс GMT +3, время: 10:59.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.